Package de.willuhn.jameica.hbci.gui.controller

# Class AccountNewController

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AccountNewController

public class AccountNewController extends de.willuhn.jameica.gui.AbstractControl
Controller zum Anlegen eines neuen Accounts.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AccountNewController(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`List<de.willuhn.jameica.gui.parts.InfoPanel>`
`getAccountProviders()`
Liefert eine Liste mit Info-Panels zu den verfuegbaren Account-Providern.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountNewController

public AccountNewController(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getAccountProviders

public List<de.willuhn.jameica.gui.parts.InfoPanel> getAccountProviders()
Liefert eine Liste mit Info-Panels zu den verfuegbaren Account-Providern.

Returns:
  eine Liste mit Info-Panels zu den verfuegbaren Account-Providern.